export interface MergeAuthorizationHandlerParams {
    clientId: string;
    handlers: {
        onTokenReceived(data: any): any;
        onAuthorizationResponse(data: any): any;
    };
}
export default interface MergeAuthorizationHandler {
    subscribe(data: MergeAuthorizationHandlerParams): any;
    requestToken(data: {
        clientId: string;
    }): any;
    unsubscribe(data: Pick<MergeAuthorizationHandlerParams, 'clientId'>): any;
}
